Package org.apache.commons.compress.archivers.dump

# Enum DumpArchiveEntry.TYPE

java.lang.Object
java.lang.Enum<DumpArchiveEntry.TYPE>
org.apache.commons.compress.archivers.dump.DumpArchiveEntry.TYPE

All Implemented Interfaces:
  `Serializable`, `Comparable<DumpArchiveEntry.TYPE>`

Enclosing class:
  `DumpArchiveEntry`

public static enum DumpArchiveEntry.TYPE extends Enum<DumpArchiveEntry.TYPE>
Enumerates types.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLKDEV`
  BLKDEV with code 6.
  `CHRDEV`
  CHRDEV with code 2.
  `DIRECTORY`
  DIRECTORY with code 4.
  `FIFO`
  CHRDEV with code 1.
  `FILE`
  FILE with code 8.
  `LINK`
  LINK with code 10.
  `SOCKET`
  SOCKET with code 12.
  `UNKNOWN`
  UNKNOWN with code 15.
  `WHITEOUT`
  WHITEOUT with code 14.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DumpArchiveEntry.TYPE`
  `find(int code)`
  Finds a matching enumeration value for the given code.
  `static DumpArchiveEntry.TYPE`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DumpArchiveEntry.TYPE[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WHITEOUT

    public static final DumpArchiveEntry.TYPE WHITEOUT
    WHITEOUT with code 14.

  - ### SOCKET

    public static final DumpArchiveEntry.TYPE SOCKET
    SOCKET with code 12.

  - ### LINK

    public static final DumpArchiveEntry.TYPE LINK
    LINK with code 10.

  - ### FILE

    public static final DumpArchiveEntry.TYPE FILE
    FILE with code 8.

  - ### BLKDEV

    public static final DumpArchiveEntry.TYPE BLKDEV
    BLKDEV with code 6.

  - ### DIRECTORY

    public static final DumpArchiveEntry.TYPE DIRECTORY
    DIRECTORY with code 4.

  - ### CHRDEV

    public static final DumpArchiveEntry.TYPE CHRDEV
    CHRDEV with code 2.

  - ### FIFO

    public static final DumpArchiveEntry.TYPE FIFO
    CHRDEV with code 1.

  - ### UNKNOWN

    public static final DumpArchiveEntry.TYPE UNKNOWN
    UNKNOWN with code 15.

- ## Method Details

  - ### values

    public static DumpArchiveEntry.TYPE[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DumpArchiveEntry.TYPE valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### find

    public static DumpArchiveEntry.TYPE find(int code)
    Finds a matching enumeration value for the given code.
    Parameters:
      `code` - a code.
    Returns:
      a value, never null.